﻿namespace ClientPrism;

interface

uses CookComputing.XmlRpc;

type
  [XmlRpcUrl('http://localhost:8081')]
  IServicos = public interface
    [XmlRpcMethod('app.formatarNome')]
     method FormatarNome(s: String): String;

    [XmlRpcMethod('app.obterPI')]
    method ObterPI(casasDecimais: Integer): String;

    [XmlRpcMethod('app.obterFasesLua')]
    method ObterFasesLua(mes: integer; ano: integer): array of String;

    [XmlRpcMethod('app.postarTwitter')]
    method PostarTwitter(login: String; senha: String; post:String): String;

end;
 
implementation

end.