package com.henley;

import org.apache.xmlrpc.WebServer;

/**
 * Created by IntelliJ IDEA.
 * User: henley
 * Date: 18/05/2009
 * Time: 14:19:03
 * To change this template use File | Settings | File Templates.
 */
public class AppServer {

    public static void main(String[] args) {
        int port;
        
        try {
            port = getPort(args[0]);
        }
        catch (Exception e) {
            System.out.println(e.getMessage());
            return;
        }

        System.out.println("Iniciando o servidor XML-RPC na porta " + port);
        WebServer ws = new WebServer(port);
        ws.addHandler("app", new Servicos());
        ws.start();
        System.out.println("Servidor pronto para integrao...\n");
        System.out.println("(Ctrl-C) para interromper");
    }

    private static int getPort(String porta) throws Exception {
        if ((porta == null) || (porta.trim().equals(""))) {
            throw new Exception("Um nmero de porta deve ser fornecido");
        }

        try {
            return Integer.parseInt(porta);
        }
        catch (NumberFormatException e) {
            throw new Exception("Um nmero de porta vlido deve ser fornecido");
        }

    }
}
